import RPi.GPIO as GPIO
import smbus
import time
import sys
import math

bus=smbus.SMBus(1);
address=0x08
c1=-3.690447415e-03
c2=11.71105411e-04
c3=-45.21970288e-07
time.sleep(1)

print ("Messaging Board")
bus.write_byte(address,4)
time.sleep(1);
Res=bus.read_byte(address)
R=10000*(1023/Res-1)
print ("Voltage: ",R)
logR=math.log(R)
T=(1.0/(c1+c2*logR+c3*logR*logR*logR))
T=T-273.15
print("Temp =", T)
time.sleep(1);

