#define SALINITY 0
#define TDS 1
#define PH 2
#define WATER 3
#define TEMP 8
#define SLAVE_ADDRESS 0x08


#include <Wire.h>

void setup() {
  pinMode(SALINITY,INPUT);
  pinMode(TDS,INPUT);
  pinMode(PH,INPUT);
  pinMode(WATER,INPUT);
  pinMode(TEMP,INPUT);
  
  Wire.begin(SLAVE_ADDRESS);            
  Wire.onRequest(requestEvent);
  Wire.onReceive(receiveEvent);
}

void loop() {
  delay(100);
}



volatile int sensor;
volatile int data;

void requestEvent() {
  switch (sensor){
    case 0:
      data= analogRead(SALINITY);
      break;
    case 1:
      data= analogRead(TDS);
      break;
    case 2:
      data= analogRead(PH);
      break;  
    case 3:
      data= analogRead(WATER);
      break;
    case 4:
      data= analogRead(TEMP);
      break;        
  };
  Wire.write(data);
}

void receiveEvent(){
  sensor=Wire.read();
}
